# CommonAnimPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CommonAnimPhase

#### Hierarchy (View Summary)

- PokemonPhase
  - CommonAnimPhase
    - PokemonHealPhase
    - WeatherEffectPhase

- Defined in src/phases/common-anim-phase.ts:7

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

end
executeForAll
getPokemon
hideEnemyTrainer
setAnimation
showEnemyTrainer
start

## Constructors

### constructor

- new CommonAnimPhase(
  battlerIndex?: BattlerIndex ,
  targetIndex?: BattlerIndex ,
  anim?: CommonAnim ,
  playOnEmptyField?: boolean,
  ): CommonAnimPhase

  #### Parameters

  - `Optional` battlerIndex: BattlerIndex
  - `Optional` targetIndex: BattlerIndex
  - `Optional` anim: CommonAnim
  - playOnEmptyField: boolean = false

  #### Returns CommonAnimPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/common-anim-phase.ts:12

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### setAnimation

- setAnimation(anim: CommonAnim ): void

  #### Parameters

  - anim: CommonAnim

  #### Returns void

  - Defined in src/phases/common-anim-phase.ts:20

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/common-anim-phase.ts:24